i13 LL Inflamed

i13 LL Inflamed

Product Requirements

Software:
Poser 6, Poser 7, Poser 8, Poser 9, Poser Pro 2010, Poser Pro 2012, Daz Studio 4.5, Daz Studio 3, Poser 4, Poser 5, Poser 10, Poser Pro 2014, Daz Studio 4.6

Base Figures:
Victoria 4

Products:
Poser or DAZ Studio (for use with Victoria 4, not Genesis), PC or Mac, Victoria 4.2 Base

Read more description:
http://www.renderosity.com/mod/bcs/index.php?ViewProduct=99715

Similar products

2 thoughts on “i13 LL Inflamed

Leave a Reply